Subject: Re: Bug#701711: emacs24: svn support fails in a symlinked directory

From: Rob Browning <[email-masked]>
Date: Tue, 26 Feb 2013 19:39:47 -0600

(If possible, please preserve the 701711-forwarded address in any replies.)

Juha Jäykkä <[email-masked]> writes:

> Version: 24.2+1-2

> vc-update and other vc-*-commands fail to detect an svn controlled
> directory when the directory is a symlink to an svn controlled
> directory.
>
> The new SVN working copy directory tree only has .svn directory at
> the topmost level and it seems emacs does 'chdir("..")' or something
> equivalent when it tries to find the .svn directory. However, if 
> directory A is a symlink to an svn working copy directory B, then
> looking at A/.. is not the right place to look for .svn; instead,
> emacs should note that A is a symlink, readlink() and look at B/..
> instead.

Further details can be found here:

   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=701711

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4